com.smartgwt.client.types

## Enum ImportFormat

- java.lang.Object
- - java.lang.Enum<ImportFormat>
  - - com.smartgwt.client.types.ImportFormat

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ImportFormat>

      public enum ImportFormat
      extends java.lang.Enum<ImportFormat>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Auto-detect format
    `CSV` Comma-separated values, or in general delimiter-separated values based on a provided delimiter.
    `JSON` JSON format: a JSON Array of JSON Objects
    `XML` XML format: same as that expected by the `AdminConsole` for DataSource String

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ImportFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImportFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XML

          public static final ImportFormat XML

      XML format: same as that expected by the `AdminConsole` for DataSource String

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "xml".

    - #### JSON

          public static final ImportFormat JSON

      JSON format: a JSON Array of JSON Objects

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "json".

    - #### CSV

          public static final ImportFormat CSV

      Comma-separated values, or in general delimiter-separated values based on a provided delimiter.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "csv".

    - #### AUTO

          public static final ImportFormat AUTO

      Auto-detect format

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

  - ### Method Detail

    - #### values

          public static ImportFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImportFormat c : ImportFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImportFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`